KToggleFullScreenAction Class Reference

`#include <kactionclasses.h>`

Inheritance diagram for KToggleFullScreenAction:

## Public Slots

virtual void | setChecked (bool)
Public Slots inherited from KToggleAction
virtual void | setChecked (bool)
Public Slots inherited from KAction
virtual void | setText (const QString &text)
virtual bool | setShortcut (const KShortcut &)
virtual void | setGroup (const QString &)
virtual void | setWhatsThis (const QString &text)
virtual void | setToolTip (const QString &)
virtual void | setIconSet (const QIconSet &iconSet)
virtual void | setIcon (const QString &icon)
virtual void | setEnabled (bool enable)
void | setDisabled (bool disable)
virtual void | setShortcutConfigurable (bool)
virtual void | activate ()

## Public Member Functions

| KToggleFullScreenAction (const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, QWidget *window, const char *name)
void | setWindow (QWidget *window)
Public Member Functions inherited from KToggleAction
| KToggleAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KToggleAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KToggleAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KToggleAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KToggleAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KToggleAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KToggleAction (QObject *parent=0, const char *name=0)
virtual | ~KToggleAction ()
virtual int | plug (QWidget *widget, int index=-1)
bool | isChecked () const
QString | exclusiveGroup () const
virtual void | setExclusiveGroup (const QString &name)
void | setCheckedState (const KGuiItem &checkedItem)
virtual QString | toolTip () const
Public Member Functions inherited from KAction
| KAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const KGuiItem &item, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (QObject *parent=0, const char *name=0)
virtual | ~KAction ()
virtual void | plugAccel (KAccel *accel, bool configurable=true) KDE_DEPRECATED
virtual void | unplug (QWidget *w)
virtual void | unplugAccel () KDE_DEPRECATED
virtual bool | isPlugged () const
bool | isPlugged (const QWidget *container) const
virtual bool | isPlugged (const QWidget *container, int id) const
virtual bool | isPlugged (const QWidget *container, const QWidget *_representative) const
QWidget * | container (int index) const
int | itemId (int index) const
QWidget * | representative (int index) const
int | containerCount () const
uint | kaccelCount () const
virtual bool | hasIcon () const
bool | hasIconSet () const
virtual QString | plainText () const
virtual QString | text () const
virtual const KShortcut & | shortcut () const
virtual const KShortcut & | shortcutDefault () const
QString | shortcutText () const
void | setShortcutText (const QString &)
virtual bool | isEnabled () const
virtual bool | isShortcutConfigurable () const
virtual QString | group () const
virtual QString | whatsThis () const
virtual QIconSet | iconSet (KIcon::Group group, int size=0) const
QIconSet | iconSet () const
virtual QString | icon () const
KActionCollection * | parentCollection () const
void | unplugAll ()
int | accel () const KDE_DEPRECATED
QString | statusText () const
void | setAccel (int key) KDE_DEPRECATED
void | setStatusText (const QString &text)
int | menuId (int i)

## Protected Member Functions

virtual bool | eventFilter (QObject *o, QEvent *e)
virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KToggleAction
virtual void | updateChecked (int id)
Protected Member Functions inherited from KAction
KToolBar * | toolBar (int index) const
QPopupMenu * | popupMenu (int index) const
void | removeContainer (int index)
int | findContainer (const QWidget *widget) const
int | findContainer (int id) const
void | plugMainWindowAccel (QWidget *w)
void | addContainer (QWidget *parent, int id)
void | addContainer (QWidget *parent, QWidget *representative)
virtual void | updateShortcut (int i)
virtual void | updateShortcut (QPopupMenu *menu, int id)
virtual void | updateGroup (int id)
virtual void | updateText (int i)
virtual void | updateEnabled (int i)
virtual void | updateIconSet (int i)
virtual void | updateIcon (int i)
virtual void | updateToolTip (int id)
virtual void | updateWhatsThis (int i)
QString | whatsThisWithIcon () const
const KGuiItem & | guiItem () const

## Additional Inherited Members

Public Types inherited from KAction
enum | ActivationReason { UnknownActivation, EmulatedActivation, AccelActivation, PopupMenuActivation, ToolBarActivation }
Signals inherited from KToggleAction
void | toggled (bool)
Signals inherited from KAction
void | activated ()
void | activated (KAction::ActivationReason reason, Qt::ButtonState state)
void | enabled (bool)
Static Public Member Functions inherited from KAction
static int | getToolButtonID ()
Protected Slots inherited from KToggleAction
virtual void | slotActivated ()
Protected Slots inherited from KAction
virtual void | slotDestroyed ()
virtual void | slotKeycodeChanged ()
virtual void | slotActivated ()
void | slotPopupActivated ()
void | slotButtonClicked (int, Qt::ButtonState state)
Protected Attributes inherited from KAction
KActionCollection * | m_parentCollection
Properties inherited from KToggleAction
bool | checked
QString | exclusiveGroup
Properties inherited from KAction
int | containerCount
QString | plainText
QString | text
QString | shortcut
bool | enabled
QString | group
QString | whatsThis
QString | toolTip
QString | icon

## Detailed Description

An action for switching between to/from full screen mode.

Note that QWidget::isFullScreen() may reflect the new or the old state depending on how the action was triggered (by the application or from the window manager). Also don't try to track the window state yourself. Rely on this action's state (isChecked()) instead.

Important: If you need to set/change the fullscreen state manually, use the relevant QWidget function (showFullScreen etc.), do not call directly the slot connected to the toggled() signal. The slot still needs to explicitly set the window state though.

Since
  3.2

Definition at line 1254 of file kactionclasses.h.

## Constructor & Destructor Documentation

KToggleFullScreenAction::KToggleFullScreenAction | ( | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | QWidget * | window,
|  | const char * | name
| ) |  |

Create a KToggleFullScreenAction.

Parameters

  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  window | the window that will switch to/from full screen mode
  name | An internal name for this action.

Definition at line 2045 of file kactionclasses.cpp.

## Member Function Documentation

bool KToggleFullScreenAction::eventFilter | ( | QObject * | o,
|  | QEvent * | e
| ) |  |

protected virtual

Definition at line 2083 of file kactionclasses.cpp.

void KToggleFullScreenAction::setWindow | ( | QWidget * | window | ) |

Sets the window that will be related to this action.

Definition at line 2059 of file kactionclasses.cpp.

The documentation for this class was generated from the following files:

- kactionclasses.h
- kactionclasses.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys